Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 2568473002: Presubmit: Skip third_party for fwd decl warning (Closed)

Created:
2 years, 8 months ago by jbriance
Modified:
2 years, 8 months ago
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Presubmit: Skip third_party for fwd decl warning Skip presubmit warning when the introduced useless forward declaration is made in third_party (with the exception of blink). Take the opportunity to fix one test and style. BUG=662195 TEST=PRESUBMIT_test.py ForwardDeclarationTest Committed: https://crrev.com/2c51e821a6219d233cf63985373e989827ecd0f0 Cr-Commit-Position: refs/heads/master@{#437833}

Patch Set 1 #

Patch Set 2 : Skip third_party except for blink #

Total comments: 2

Patch Set 3 : Rebase + escape backslashes properly #

Unified diffs Side-by-side diffs Delta from patch set Stats (+33 lines, -8 lines) Patch
M PRESUBMIT.py View 1 2 2 chunks +8 lines, -2 lines 0 comments Download
M PRESUBMIT_test.py View 1 2 3 chunks +24 lines, -5 lines 0 comments Download
M PRESUBMIT_test_mocks.py View 1 chunk +1 line, -1 line 0 comments Download

Messages

Total messages: 20 (11 generated)
jbriance
While trying to upgrade third_party/protobuf (https://codereview.chromium.org/2495533002/), I bumped into presubmit warnings in autogenerated header files. ...
2 years, 8 months ago (2016-12-09 12:32:21 UTC) #2
jochen (gone - plz use gerrit)
would it make sense to still include third_party/WebKit as that's effectively first-party?
2 years, 8 months ago (2016-12-09 15:10:23 UTC) #3
jbriance
On 2016/12/09 15:10:23, jochen wrote: > would it make sense to still include third_party/WebKit as ...
2 years, 8 months ago (2016-12-09 15:23:09 UTC) #4
jbriance
PTAL
2 years, 8 months ago (2016-12-09 15:26:29 UTC) #6
jochen (gone - plz use gerrit)
lgtm with comment addressed https://codereview.chromium.org/2568473002/diff/20001/PRESUBMIT.py File PRESUBMIT.py (right): https://codereview.chromium.org/2568473002/diff/20001/PRESUBMIT.py#newcode1600 PRESUBMIT.py:1600: not f.LocalPath().startswith('third_party\WebKit')): I think you ...
2 years, 8 months ago (2016-12-12 07:42:02 UTC) #7
jbriance
https://codereview.chromium.org/2568473002/diff/20001/PRESUBMIT.py File PRESUBMIT.py (right): https://codereview.chromium.org/2568473002/diff/20001/PRESUBMIT.py#newcode1600 PRESUBMIT.py:1600: not f.LocalPath().startswith('third_party\WebKit')): On 2016/12/12 07:42:02, jochen wrote: > I ...
2 years, 8 months ago (2016-12-12 08:07:42 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2568473002/40001
2 years, 8 months ago (2016-12-12 08:20:11 UTC) #15
commit-bot: I haz the power
Committed patchset #3 (id:40001)
2 years, 8 months ago (2016-12-12 08:25:05 UTC) #18
commit-bot: I haz the power
2 years, 8 months ago (2016-12-12 15:11:05 UTC) #20
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/2c51e821a6219d233cf63985373e989827ecd0f0
Cr-Commit-Position: refs/heads/master@{#437833}

Powered by Google App Engine
This is Rietveld 408576698